package de.ivu.elect.business.system.entity;

public enum  VerzeichnisStatus {

  NEU_ANGELEGT{
    @Override
    public boolean isNeuAngelegtOderLeer() {
      return true;
    }

    @Override
    public boolean isNeuAngelegt() {
      return true;
    }
  },
  BESTAND_BEREITS_OHNE_VORHANDENE_DATEIEN {
    @Override
    public boolean isNeuAngelegtOderLeer() {
      return true;
    }
  },
  BESTAND_BEREITS_MIT_VORHANDENEN_DATEIEN {
    @Override
    public boolean isNeuAngelegtOderLeer() {
      return false;
    }
  },
  KANN_NICHT_ANGELEGT_WERDEN {
    @Override
    public boolean isNeuAngelegtOderLeer() {
      return false;
    }

    @Override
    public boolean isFehler() {
      return true;
    }
  };

  public abstract boolean isNeuAngelegtOderLeer() ;

  public boolean isNeuAngelegt() {
    return false;
  }


  public boolean isFehler() {
    return false;
  }


}
